Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm having issues since yesterday after an upgrade. GNOME session got messed up somehow and now i cannot install further upgrades nor new apps. Here is what i got from terminal after doing the recommended apt-get install -f;

(Reading database ... 166876 files and directories currently installed.)
Preparing to replace gnome-session 3.0.1-0ubuntu1~build2 (using .../gnome-session_3.0.2-0ubuntu3~natty1_all.deb) ...

Unpacking replacement gnome-session ...
dpkg: error processing /var/cache/apt/archives/gnome-session_3.0.2-0ubuntu3~natty1_all.deb (--unpack):

 trying to overwrite '/usr/share/xsessions/gnome-shell.desktop', which is also in package gnome-shell 3.0.1-0ubuntu1~build1

Errors were encountered while processing:
 /var/cache/apt/archives/gnome-session_3.0.2-0ubuntu3~natty1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

In var/log/apt/history.log, it says:

Start-Date: 2011-05-29  17:56:16
Commandline: apt-get -f install
Upgrade: gnome-session:amd64 (3.0.1-0ubuntu1~build2, 3.0.2-0ubuntu3~natty1)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2011-05-29  17:56:21

No idea what all this means.

share|improve this question
add comment

2 Answers

I disabled GNOME 3 PPA, ran the upgrade, let it use the Ubuntu's original gnome-session, and then enabled back GNOME 3 PPA and ran the upgrade again. This time there were no dependency errors.

share|improve this answer
2  
Choose this answer using the tick-mark left of the post to let everyone know the issue has been resolved. –  Oxwivi Jun 24 '11 at 19:37
add comment

This sounds like a case of broken packaging in the Gnome 3 packages you're using: The new version of gnome-session contains the file /usr/share/xsessions/gnome-shell.desktop, which is also owned by the current version of the gnome-shell package you've got installed. The error is because of this conflict.

Perhaps check if there is a new version of the gnome-shell package available in the PPA you're using?

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.